%define src_ver 0.7
%define languagelocal finnish
%define languageeng finnish
%define languagecode fi

Summary: 	Finnish files for ispell
Name: 		ispell-%{languagecode} 
# the real version number is actually 0.7, but we can't decrease it
# without lots of problems when updating rpm packages...
Version: 	1.0
Release: 	8mdk
URL: 		http://ispell-fi.sourceforge.net/
# there is no single archive on the web page, but separate *.aff and *.dict
# files; they are from Version 0.7 (3rd of September 2000)
Source:		http://ispell-fi.sourceforge.net/finnish.tar.bz2
License: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Provides: spell-fi

Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
# the binary format changed with ispell 3.2.06
PreReq: ispell >= 3.2.06-2mdk
Provides: ispell-dictionary = 3.2.06-2mdk

%description
ispell-fi has the spelling data for Finnish which is used by
the ispell program. With this extension, you can compose a document
in Finnish and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%prep
%setup -n finnish
mv -f finnish.dict %{languagelocal}.hash
mv -f finnish.medium.aff %{languagelocal}.aff

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_prefix}/lib/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_prefix}/lib/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%{_prefix}/lib/ispell/*

%changelog
* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 1.0-8mdk
- add tag Provides spell-fi

* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-7mdk
- Ispell data will remain in /usr/lib/ispell for now

* Thu Sep 19 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-6mdk
- changed Requires: ispell to PreReq: ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-5mdk
- rebuild for new ispell
- updated dictionnary

* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 1.0-4mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 1.0-3mdk
- Cleaned up the spec and moved to standard template.

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-2mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Fri Dec 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.
